Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Static Protected Member Functions | Static Protected Attributes | List of all members
ezpAttributeOperatorManager Class Reference

## Static Public Member Functions
static | getOutputFormatter ( $format)

## Static Protected Member Functions
static | createFormatter ( $format)
static | isRegisteredFormatter ( $format)

## Static Protected Attributes
static | $formatter = null
static | $format = null

## Detailed Description

Definition at line 12 of file ezpattributeoperatormanager.php.

## Member Function Documentation

## ◆ createFormatter()

static ezpAttributeOperatorManager::createFormatter | ( |  | $format | ) |
| static protected

Searches for the output formatter handler class for a given format

Parameters

  string | $format |

Returns
  ezpAttributeOperatorFormatterInterface

Definition at line 27 of file ezpattributeoperatormanager.php.

References $format, eZExtension\getHandlerClass(), and eZDebug\writeError().

Referenced by getOutputFormatter().

## ◆ getOutputFormatter()

static ezpAttributeOperatorManager::getOutputFormatter | ( |  | $format | ) |
| static

Returns formatter object for a given format

Parameters

  string | $format |

Returns
  ezpAttributeOperatorFormatterInterface|null

Definition at line 62 of file ezpattributeoperatormanager.php.

References $format, $formatter, and createFormatter().

## ◆ isRegisteredFormatter()

static ezpAttributeOperatorManager::isRegisteredFormatter | ( |  | $format | ) |
| static protected

Checks is given format has registered handler class

Parameters

  string | $format |

Returns
  bool

Definition at line 50 of file ezpattributeoperatormanager.php.

References $format.

## Member Data Documentation

## ◆ $format

ezpAttributeOperatorManager::$format = null
| static protected

Definition at line 18 of file ezpattributeoperatormanager.php.

Referenced by createFormatter(), getOutputFormatter(), and isRegisteredFormatter().

## ◆ $formatter

ezpAttributeOperatorManager::$formatter = null
| static protected

Definition at line 17 of file ezpattributeoperatormanager.php.

Referenced by getOutputFormatter().

The documentation for this class was generated from the following file:

- ezpattributeoperatormanager.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.